using Microsoft.Xna.Framework.Graphics;
using MonoGame.FourEngine.Attributes;

namespace MonoGame.FourEngine.Services
{
    [Service]
    public interface ISpriteBatchFactory
    {
        SpriteBatch Create(GraphicsDevice graphicsDevice);
        void Begin(SpriteBatch batch);
        void End(SpriteBatch batch);
    }
}